(require 'package)

(when (with-current-buffer (find-file-noselect "~/.emacs")
         (goto-char (point-min))
         (eq 'custom-set-variables (car (read (current-buffer)))))
   (copy-file "d:/emac/minimal.el" "~/.emacs" t)
   (restart-emacs))

(mapcar #'package-install '(evil company undo-tree))
(load-theme 'tsdh-dark t)

(scroll-bar-mode 0)
(column-number-mode 1)
(show-paren-mode 1)
(tool-bar-mode 0)
(menu-bar-mode 0)

(defun rc/set-font (fnt size)
   (add-to-list 'default-frame-alist `(font . ,(concat fnt "-" size))))
(rc/set-font "Lilex" "9")

(global-company-mode t)
(evil-mode)
(setq confirm-kill-emacs 'y-or-n-p)
(setq make-backup-files nil)
(setq-default indent-tabs-mode nil)
(global-undo-tree-mode)
(setq ido-everywhere t)
(fido-mode)
(ido-mode 1)
(setq-default evil-undo-system 'undo-tree)
